<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pertumkolomni', function (Blueprint $table) {
            $table->id();
            $table->integer('orderid')->nullable();
            $table->date('tglpenyimpanan', 100)->nullable();
            $table->string('media', 100)->nullable();
            $table->string('kuman', 100)->nullable();
            $table->string('hemolisa', 255)->nullable();
            $table->string('katalase', 255)->nullable();
            $table->string('koagulase', 255)->nullable();
            $table->string('oksidase', 255)->nullable();
            $table->string('lainnya', 255)->nullable();
            $table->string('status', 255)->nullable();
            $table->string('tindaklanjut', 255)->nullable();
            $table->string('created_by', 255)->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pertumkolomni');
    }
};
